Freeciv-3.1: img Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
img Struct Reference

## Data Fields

struct mapdef * | def
int | turn
char | title [MAX_LEN_MAPDEF]
struct tile_shape * | tileshape
plot_func | pixel_tile
plot_func | pixel_city
plot_func | pixel_unit
plot_func | pixel_fogofwar
plot_func | pixel_border
base_coor_func | base_coor
struct { |
int x |
int y |
} | mapsize |
struct { |
int x |
int y |
} | imgsize |
const struct rgbcolor ** | map

## Detailed Description

Definition at line 367 of file mapimg.c.

## Field Documentation

## ◆ base_coor

base_coor_func img::base_coor

Definition at line 379 of file mapimg.c.

Referenced by img_new(), and img_plot().

## ◆ def

struct mapdef* img::def

Definition at line 368 of file mapimg.c.

Referenced by img_createmap(), img_new(), img_save(), and img_save_ppm().

## ◆ [struct]

struct { ... } img::imgsize

Referenced by img_index(), img_new(), img_save_ppm(), and img_set_pixel().

## ◆ map

const struct rgbcolor** img::map

Definition at line 389 of file mapimg.c.

Referenced by img_destroy(), img_new(), img_save_ppm(), and img_set_pixel().

## ◆ [struct]

struct { ... } img::mapsize

Referenced by base_coor_isohexa(), and img_new().

## ◆ pixel_border

plot_func img::pixel_border

Definition at line 378 of file mapimg.c.

Referenced by img_createmap(), and img_new().

## ◆ pixel_city

plot_func img::pixel_city

Definition at line 375 of file mapimg.c.

Referenced by img_createmap(), and img_new().

## ◆ pixel_fogofwar

plot_func img::pixel_fogofwar

Definition at line 377 of file mapimg.c.

Referenced by img_createmap(), and img_new().

## ◆ pixel_tile

plot_func img::pixel_tile

Definition at line 374 of file mapimg.c.

Referenced by img_createmap(), img_new(), and mapimg_colortest().

## ◆ pixel_unit

plot_func img::pixel_unit

Definition at line 376 of file mapimg.c.

Referenced by img_createmap(), and img_new().

## ◆ tileshape

struct tile_shape* img::tileshape

Definition at line 373 of file mapimg.c.

Referenced by img_new(), and img_plot().

## ◆ title

char img::title[MAX_LEN_MAPDEF]

Definition at line 370 of file mapimg.c.

Referenced by img_new().

## ◆ turn

int img::turn

Definition at line 369 of file mapimg.c.

Referenced by img_new().

## ◆ x

int img::x

Definition at line 382 of file mapimg.c.

Referenced by base_coor_isohexa(), img_index(), img_new(), img_plot(), img_plot_tile(), img_save_ppm(), and img_set_pixel().

## ◆ y

int img::y

Definition at line 383 of file mapimg.c.

Referenced by img_index(), img_new(), img_plot(), img_plot_tile(), img_save_ppm(), and img_set_pixel().